BIO-VCF(1)

NAME
bio-vcf - domain specific language (DSL) for processing the VCF format

SYNOPSIS
bio-vcf [options] filename

DESCRIPTION
/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb:10: warning: constant Gem::ConfigMap is deprecated bio-vcf 0.9.5 (biogem Ruby 2.7.1 with pcows) by Pjotr Prins 2015-2020

e.g. bio-vcf < test/data/input/somaticsniper.vcf

-i, --ignore-missing
    Ignore missing data

--filter cmd
    Evaluate filter on each record

--sfilter cmd
    Evaluate filter on each sample

--sfilter-samples list
    Filter on selected samples (e.g., 0,1

--ifilter, --if cmd
    Include filter

--ifilter-samples list
    Include set - implicitely defines exclude set

--efilter, --ef cmd
    Exclude filter

--efilter-samples list
    Exclude set - overrides exclude set

--add-filter name
    Set/add filter field to name

--bed bedfile
    Filter on BED elements

-e, --eval cmd
    Evaluate command on each record

--eval-once cmd
    Evaluate command once (usually for header info)

--seval cmd
    Evaluate command on each sample

--rewrite eval
    Rewrite INFO

--samples list
    Output selected samples

--rdf
    Generate Turtle RDF (also check out --template!)

--num-threads [num]
    Multi-core version (default ALL)

--thread-lines num
    Fork thread on num lines (default 40000)

--skip-header
    Do not output VCF header info

--set-header list
    Set a special tab delimited output header (#samples expands to sample names)

-t, --template erb
    Use ERB template for output

--add-header-tag
    Add bio-vcf status tag to header output

--timeout [num]
    Timeout waiting for thread to complete (default 180)

--names
    Output sample names

--statistics
    Output statistics

-q, --quiet
    Run quietly

-v, --verbose
    Run verbosely

--debug
    Show debug messages and keep intermediate output

--id name
    Identifier

--tags list
    Add tags

-h, --help
    display this help and exit

Vcf parser

AUTHOR
 This manpage was written by Nilesh Patra for the Debian distribution and
 can be used for any other usage of the program.